//
//	HUSB-BRG1040 driver I/F dll	
//	Ver 1.0.0.0
//
// ֐߂l
#define NOT_FOUND			0x00000001
#define ALREADY_OPENED		0x00000002
#define NOT_MEMORY			0x00000004
#define INVALID_HANDLE		0x00000008
#define NOT_READY			0x00000010		// reserved
#define ILLEGAL_DEVICE		0x00000020
#define ILLEGAL_PARAM		0x00000100

// \
typedef struct _HUSBBRGINF {		// foCX
	WORD			BrdID;			// {[hID        ( 0`15 )
	WORD			IrqEn;			// gpIRQԍ̎w(0x01`0x20)
	WORD			EPcnt;			// ߲Đ     (>=2)
	WORD			EPspc[8];		// ߲Ďdl   (0x81,0x02,0x00,0x00)
	WORD			EPsiz[8];		// ߲ĥ޲Đ(32,32, 0, 0)
	WORD			EPopt[8];		// ߲ĥ߼( \ )
	HANDLE			EPhdl[8];		// ߲ĥ(߲)
} HUSBBRGINF, *PHUSBBRGINF;
				
//	֐vg^Cv
#ifdef __cplusplus
extern "C"
{
#endif

DWORD WINAPI br1040_GetDeviceCount(DWORD*);
DWORD WINAPI br1040_GetDeviceInfo(DWORD*, HUSBBRGINF*);
DWORD WINAPI br1040_OpenDevice(DWORD*, HUSBBRGINF*);
DWORD WINAPI br1040_CloseDevice(DWORD);
DWORD WINAPI br1040_rInt1(DWORD, WORD*);
DWORD WINAPI br1040_rInt2(DWORD, WORD*);
DWORD WINAPI br1040_rBid (DWORD, WORD*);
DWORD WINAPI br1040_wLed (DWORD, WORD);
DWORD WINAPI br1040_inp  (DWORD, WORD, BYTE*);
DWORD WINAPI br1040_outp (DWORD, WORD, BYTE);
DWORD WINAPI br1040_inpw (DWORD, WORD, WORD*);
DWORD WINAPI br1040_outpw(DWORD, WORD, WORD);
DWORD WINAPI br1040_outpw_hl(DWORD, WORD, WORD);

#ifdef __cplusplus
}
#endif
